Package: groovy.swing.factory

## [Groovy] Class BindFactory

- groovy.swing.factory.BindFactory

- Authors:
    Danno Ferrin
  Since:
    Groovy 1.1

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `CONTEXT_DATA_KEY` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Map<String, TriggerBinding>` | `syntheticBindings`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BindFactory ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `def` | `bindingAttributeDelegate(FactoryBuilderSupport builder, def node, def attributes)`
    `` | `TriggerBinding` | `getTriggerBinding(PropertyBinding psb)`
    `` | `boolean` | `isHandlesNodeChildren()`
    `` | `boolean` | `isLeaf()`
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)` Accepted Properties...
    `` | `boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)`
    `` | `boolean` | `onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)`
    `` | `void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `setParent, isLeaf, setChild, onNodeCompleted, onNodeChildren, onHandleNodeAttributes, onFactoryRegistration, isHandlesNodeChildren, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll, newInstance`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String CONTEXT_DATA_KEY

  - ### Property Detail

    - #### final Map<String, TriggerBinding> syntheticBindings

  - ### Constructor Detail

    - #### BindFactory()

  - ### Method Detail

    - #### def bindingAttributeDelegate(FactoryBuilderSupport builder, def node, def attributes)

    - #### TriggerBinding getTriggerBinding(PropertyBinding psb)

    - #### boolean isHandlesNodeChildren()

    - #### boolean isLeaf()

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

      Accepted Properties... group? source ((sourceProperty) | (sourceEvent sourceValue)) (target targetProperty)? (? use default javabeans property if targetProperty is not present?)

      throws:
        InstantiationException
      throws:
        IllegalAccessException
      Parameters:
        builder
        name
        value
        attributes
      Returns:
        the newly created instance

    - #### boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map attributes)

    - #### boolean onNodeChildren(FactoryBuilderSupport builder, Object node, Closure childContent)

    - #### void onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)